package com.hxhq.business.enums.zykgl;

/**
 * 库存编辑状态 1:未编辑 3:审核中
 * @author tanfei
 */
public enum KcbjEnum {

    /**
     * 未编辑
     */
    wbj(1, "未编辑"),

    /**
     * 审核中
     */
    shz(3, "审核中");

    private int value;
    private String text;

    KcbjEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static KcbjEnum getEnumByValue(int type) {
        for (KcbjEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
